﻿$ErrorActionPreference = 'Stop';

$url            = 'https://downloads.arduino.cc/arduino-1.8.16-windows.exe'
$checksum       = '3bbaff291aefd45b665dd14ca63cc405985f34c5b9dc1bd19a3e2a4cfe17e6e6'
$checksumType   = 'sha256'
$validExitCodes = @(0)

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'EXE'
  Url           = $url
  checksum      = $checksum
  checksumType  = $checksumType
  softwareName  = 'Arduino*'
  silentArgs    = '/S'
  validExitCodes= $validExitCodes
}

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$ahkFile    = Join-Path $toolsDir "arduinoInstall.ahk"
Start-Process -FilePath 'AutoHotKey' -ArgumentList $ahkFile

Install-ChocolateyPackage @packageArgs

#Don't need installer anymore
Remove-Item $toolsDir\*.exe -ea 0 -force
